import {httpApi} from "../../request/httpApi";

//分类列表
export const getClassList = (form, msg = true) => httpApi({
    url: '/api/blade-business/device/class-list',
    method: 'get',
    params: form
}, msg);

//项目树全加载
export const getProjectTree = (form, msg = true) => httpApi({
    url: '/api/blade-manager/projectInfo/tree',
    method: 'get',
    params: form
}, msg);

//使用-检修-根据设备分类id查询设备编号名称
export const queryDeviceList = (form, msg = true) => httpApi({
    url: '/api/blade-business/device/use/device-list',
    method: 'get',
    params: form
}, msg);

//使用-根据节点id查询样品编号名称
export const querySampleList = (form, msg = true) => httpApi({
    url: '/api/blade-business/device/use/sample-list',
    method: 'get',
    params: form
}, msg);

