import {httpApi} from "../../../request/httpApi";

export default {
    //压实度分页查询
    async queryPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/trial/param/compaction/page',
            method: 'get',
            params: form
        }, msg);
    },
    //压实度新增或修改
    async submitForm(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/trial/param/compaction/submit',
            method: 'post',
            data: form
        }, msg);
    },
    //压实度批量删除
    async removeData(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/trial/param/compaction/remove',
            method: 'post',
            params: form
        }, msg);
    },
}
