import {httpApi} from "../../../request/httpApi";

export default {
    //温度及密度分页查询
    async queryPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/trial/param/temperature-density/page',
            method: 'get',
            params: form
        }, msg);
    },
    //温度及密度新增或修改
    async submitForm(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/trial/param/temperature-density/submit',
            method: 'post',
            data: form
        }, msg);
    },
    //温度及密度批量删除
    async removeData(form, msg = true) {
        return httpApi({
            url: '/api/blade-manager/trial/param/temperature-density/remove',
            method: 'post',
            params: form
        }, msg);
    },
}
